CEPH-DETECT-INIT(8)

NAME
ceph-detect-init - display the init system Ceph should use

SYNOPSIS
ceph-detect-init [--verbose] [--use-rhceph] [--default init]

DESCRIPTION

ceph-detect-init is a utility that prints the init system Ceph uses. It can be one of sysvinit, upstart or systemd. The init system Ceph uses may not be the default init system of the host operating system. For instance on Debian Jessie, Ceph may use sysvinit although systemd is the default.

If the init system of the host operating system is unknown, return on error, unless --default is specified.

OPTIONS

--use-rhceph
    When an operating system identifies itself as Red Hat, it is treated as if it was CentOS. With --use-rhceph it is treated as RHEL instead.

--default INIT
    If the init system of the host operating system is unkown, return the value of INIT instead of failing with an error.

--verbose
    Display additional information for debugging.

AVAILABILITY

ceph-detect-init is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

ceph-disk(8), ceph-deploy(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA